require 'sidekiq'
require 'sidekiq_repeating_jobs/middleware/helpers'

Sidekiq.configure_server do |config|
  config.server_middleware do |chain|
    require 'sidekiq_repeating_jobs/middleware/server/repeating_jobs'
    chain.add SidekiqRepeatingJobs::Middleware::Server::RepeatingJobs
  end
end

Sidekiq.configure_client do |config|
  config.client_middleware do |chain|
    require 'sidekiq_repeating_jobs/middleware/client/repeating_jobs'
    chain.add SidekiqRepeatingJobs::Middleware::Client::RepeatingJobs
  end
end
