module SidekiqRepeatingJobs
  module Middleware
    module Client
      class RepeatingJobs
        include SidekiqRepeatingJobs::Middleware::Helpers

        def log_name
          "RepeatingJobClient"
        end

        def call(worker_class, item, queue)
          if SidekiqRepeatingJobs::Config.active?(worker_class)
            yield if valid_arguments?(worker_class, item['args'].last)
          else
            yield
          end
        end
      end
    end
  end
end
