module SidekiqRepeatingJobs

  module WorkerHelper

    module ClassMethods
      def trigger(*keys)
        keys.each do |key|
          arguments={
            'scheduler_key' => "#{Settings[:redis].namespace}:scheduler",
            'repeating_job_key' => "#{Settings[:sidekiq].namespace}:repeating_job:#{SidekiqRepeatingJobs::Config.job_name(self)}:#{key}"
          }
          self.perform_async(key, arguments)
        end
      end
    end

    def self.included(base)
      base.extend ClassMethods
    end

  end

end